## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-pdm-backend
Version:        2.3.3
Release:        %autorelease
Summary:        The build backend used by PDM that supports latest packaging standards
# SPDX
License:        MIT
URL:            https://github.com/pdm-project/pdm-backend
Source:         %{pypi_source pdm_backend}
# Unbundles vendored dependencies and drops
# validate_pyproject entirely. For context, see
# https://bugzilla.redhat.com/show_bug.cgi?id=2179101
Patch:          unbundle-vendored-deps.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-editables
BuildRequires:  python3-packaging
BuildRequires:  python3-tomli-w
BuildRequires:  python3-pyproject-metadata
# Test-only deps
BuildRequires:  gcc
BuildRequires:  git-core
BuildRequires:  mercurial
BuildRequires:  python3-editables
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools


%global _description %{expand:
The build backend used by PDM that supports latest packaging standards.}


%description %_description

%package -n     python3-pdm-backend
Summary:        %{summary}
Requires:       python3-editables
Requires:       python3-packaging
Requires:       python3-tomli-w
Requires:       python3-pyproject-metadata

%description -n python3-pdm-backend %_description


%prep
%autosetup -p1 -n pdm_backend-%{version}
rm -rv src/pdm/backend/_vendor


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pdm


%check
git config --global user.name "John Doe"
git config --global user.email "john@doe.com"
%pytest


%files -n python3-pdm-backend -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jul 17 2024 Lumir Balhar <lbalhar@redhat.com> - 2.3.3-1
- Update to 2.3.3 (rhbz#2298054)

* Sun Jul 07 2024 Lumir Balhar <lbalhar@redhat.com> - 2.3.2-1
- Update to 2.3.2 (rhbz#2295941)

* Wed Jun 19 2024 Lumir Balhar <lbalhar@redhat.com> - 2.3.1-1
- Update to 2.3.1 (rhbz#2293023)

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 2.3.0-2
- Rebuilt for Python 3.13

* Mon May 06 2024 Lumir Balhar <lbalhar@redhat.com> - 2.3.0-1
- Update to 2.3.0 (rhbz#2277943)

* Fri Apr 19 2024 Lumir Balhar <lbalhar@redhat.com> - 2.2.1-1
- Update to 2.2.1 (rhbz#2274964)

* Wed Jan 24 2024 Lumir Balhar <lbalhar@redhat.com> - 2.1.8-1
- Update to 2.1.8 (rhbz#2255960)

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Oct 18 2023 Lumír Balhar <lbalhar@redhat.com> - 2.1.7-1
- Update to 2.1.7 (rhbz#2242730)

* Wed Sep 06 2023 Lumír Balhar <lbalhar@redhat.com> - 2.1.6-1
- Update to 2.1.6 (rhbz#2235604)

* Wed Aug 09 2023 Lumír Balhar <lbalhar@redhat.com> - 2.1.5-1
- Update to 2.1.5 (rhbz#2230229)

* Wed Aug 02 2023 Lumír Balhar <lbalhar@redhat.com> - 2.1.4-1
- Update to 2.1.4 (rhbz#2213464)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 2.0.7-2
- Rebuilt for Python 3.12

* Mon May 15 2023 Lumír Balhar <lbalhar@redhat.com> - 2.0.7-1
- Update to 2.0.7 (rhbz#2203716)
- SPDX license

* Wed Apr 26 2023 Lumír Balhar <lbalhar@redhat.com> - 2.0.6-1
- Update to 2.0.6 (rhbz#2185582)

* Mon Mar 20 2023 Lumír Balhar <lbalhar@redhat.com> - 2.0.5-1
- Initial package

## END: Generated by rpmautospec
